## GladeClipboard GladeClipboard — A list of GladeWidget objects not in any GladeProject. |

## Functions

GladeClipboard * | glade_clipboard_new ()
void | glade_clipboard_add ()
void | glade_clipboard_clear ()
GList * | glade_clipboard_widgets ()
gboolean | glade_clipboard_get_has_selection ()

## Types and Values

| GladeClipboard

## Description

The GladeClipboard is a singleton and is an accumulative shelf of all cut or copied GladeWidget in the application. A GladeWidget can be cut from one GladeProject and pasted to another.

## Functions

### glade_clipboard_new ()

    GladeClipboard *
    glade_clipboard_new (void);

#### Returns

a new GladeClipboard object

### glade_clipboard_add ()

    void
    glade_clipboard_add (GladeClipboard *clipboard,
                         GList *widgets);

Adds `widgets` to `clipboard` . This increases the reference count of each GladeWidget in `widgets` .

#### Parameters

clipboard | a GladeClipboard |
widgets | a GList of GladeWidgets. | [element-type GladeWidget]

### glade_clipboard_clear ()

    void
    glade_clipboard_clear (GladeClipboard *clipboard);

Removes all widgets from the `clipboard` .

#### Parameters

clipboard | a GladeClipboard |

### glade_clipboard_widgets ()

    GList *
    glade_clipboard_widgets (GladeClipboard *clipboard);

#### Parameters

clipboard | a GladeClipboard |

#### Returns

a GList of GladeWidgets.

[element-type GladeWidget][transfer none]

### glade_clipboard_get_has_selection ()

    gboolean
    glade_clipboard_get_has_selection (GladeClipboard *clipboard);

#### Parameters

clipboard | a GladeClipboard |

#### Returns

TRUE if this clipboard has selected items to paste.

## Types and Values

### GladeClipboard

    typedef struct _GladeClipboard GladeClipboard;